#!/usr/bin/env perl
# Usage: perl micro_synteny.pl lan_loci_list_one_line lgi_loci_list_one_line > lan_lgi_ms.list
# micro_synteny.pl
# YJ Luo | 2014.04.16

use strict;
use warnings;

open (LIST, $ARGV[0]);
open (IN, $ARGV[1]);

$ARGV[0] =~ s/_loci_list_one_line//g;
$ARGV[1] =~ s/_loci_list_one_line//g;
my $name_1 = $ARGV[0];
my $name_2 = $ARGV[1];

my $list_line = ();
my $in_line = ();

while ($list_line = <LIST>) {
	my @fields_1 = split (" ", $list_line);
	my $scaffold_id_1 = $fields_1[0];
	my @og_array = ();
	for my $i (1..$#fields_1) {
		push (@og_array, $fields_1[$i]);
	}		
	seek IN, 0, 0;	
	while ($in_line = <IN>) {
		my @fields_2 = split (" ", $in_line);
		my $scaffold_id_2 = $fields_2[0];
		my $threshold = 0;
		my @og_hits = ();
		for my $i (0..$#og_array) {
			chomp $og_array[$i];
			if ($in_line =~ /$og_array[$i]/) {
				$threshold = $threshold + 1;
				push (@og_hits, $og_array[$i]);
			}
		}
		if ($threshold >= 2) {
			print $name_1 . ' | ' . $scaffold_id_1 . ' | ' . $name_2 . ' | ' . $scaffold_id_2 . ' | ' . $threshold . ' | ' . "@og_hits\n";
		}
	}
}
