#!/usr/bin/env perl
# OrthoMCL output parser, transforming the groups.txt file into numbers of genes within OG.
# orthomcl_table_count.pl
# Usage: perl orthomcl_table_count.pl groups.txt taxon_list > table_count.txt
# YJ Luo | 2014.04.03

use strict;
use warnings;

open (IN, $ARGV[0]) || die "cannot open the file groups.txt! \n $!";
open (LIST, $ARGV[1]) || die "cannot open the list! \n $!";

my @taxon_name = ();
while (<LIST>) {
	push (@taxon_name,"$_");
}

my @count = ();
while (<IN>) {
	if (/(OG_\S+):/) {
		print $1 . ' ';
		for my $i (0..$#taxon_name) {
			chomp $taxon_name[$i];
			my @count = ($_ =~ /$taxon_name[$i]/g);
			my $count_number = @count;
			print $count_number . ' ';
			# print ' | ' . $taxon_name[$i] . ' ' . $count_number;
		}
	}
	print "\n";
}
